using Autofac;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Service.Sentinel.Repository;

namespace e_suite.Service.Sentinel;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<Sentinel>().As<ISentinel>().InstancePerLifetimeScope();
        builder.RegisterType<SentinelMaintenance>().As<ISentinelMaintenance>().InstancePerLifetimeScope();
        builder.RegisterType<SentinelRepository>().As<ISentinelRepository>().InstancePerLifetimeScope();
    }
}